Subject: bug#41659: [ASCII is ok] (was: bug#41659: [bisect: found the culprits])

From: Uwe Brauer <[email-masked]>
Date: Fri, 05 Jun 2020 18:01:12 +0200

>>> "UB" == Uwe Brauer <[email-masked]> writes:

>>> "UB" == Uwe Brauer <[email-masked]> writes:
   > I bisected the whole afternoon and found the culprits.

   > * The BUG
   > First the following commit:

   > commit 4ce81556b7ad7f7f8c8bb07a7a935114bbe850d0
   > Author: Lars Ingebrigtsen <[email-masked]>
   > Date:   Mon Sep 23 18:23:22 2019 +0200

   >     Make mm-possibly-verify-or-decrypt pass decryption error

   >     * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): If
   >     there's an error, report the error back in a new part (bug#25649).

   > Introduced a bug, using any compiled emacs between this commit and
   > commit 84ef1ea8b524f8998fc8674b99cf8069e38dce4f 

   > results in an emacs, which cannot decrypt smime messages!

   > * The repair
   > commit 84ef1ea8b524f8998fc8674b99cf8069e38dce4f (HEAD)
   > Author: Lars Ingebrigtsen <[email-masked]>
   > Date:   Thu Sep 26 16:24:29 2019 +0200

   >      Make it possible to view S/MIME verified emails

   >      * lisp/gnus/mm-decode.el (mm-possibly-verify-or-decrypt): When
   >      dissecting the result, we need a header (bug#18393).

   >      * lisp/gnus/mm-view.el (mm-view-pkcs7-verify): Insert the verified
   >      string.

   >      * lisp/gnus/smime.el (smime-verify-region): Return the verified
   >      string.

   > With this commit, smime message can be decrypted, but they are not
   > decoded well, at least not for my setting, and my setting worked well
   > before commit 4ce81556b7ad7f7f8c8bb07a7a935114bbe850d0

   > So Lars, could you please try to repair this?

I checked, the error does not occur for ASCII text, so may be that is
why it has been not been noted so far.

I insert some on purpose to see how that is display daß nación